package com.huigou.topsun.proofing.application;

import com.huigou.topsun.proofing.domain.model.ProofingApply;
import com.huigou.topsun.proofing.domain.query.ProofingApplyQuery;
import com.huigou.topsun.proofing.domain.vo.ProofingApplyAndLookedVo;

import java.util.List;
import java.util.Map;

public interface ProofingApplyApplication {

    String PROCESS_DEFINITION_KEY = "proofingProc";

    ProofingApply loadProofingApplyById(String id);

    Map<String, Object> slicedQuery(ProofingApplyQuery query);

    List<ProofingApply>  getProofingApplyList();

    ProofingApplyAndLookedVo getProofingApplyByProofingApplyNo(String proofingApplyNo);

    /**
     * 根据ProofingApply获得样品和产品外观信息
     * @param id
     * @return
     */
    ProofingApplyAndLookedVo getProofingApplyAndLookedVoByPAId(String id);
}
